---
schema_version: "1"
id: de6ee43be92e81c132bc56e6a43843dd5da87754c035cee6cdd96f8253165c0b
title: Get Apps
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_apps.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_apps.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: a989618a1c588028f04a44924d81443a8f7990fe760e14109b5699b6c9d95033
description: Get metadata for all the apps a user has access to. Metadata for the selected app includes tabs on the app’s navigation bar. Metadata for other apps doesn’t include tabs on the navigation bar.
---
# Get Apps

Get metadata for all the apps a user has access to. Metadata for the selected app includes tabs on the app’s navigation bar. Metadata for other apps doesn’t include tabs on the navigation bar.

Resource

/ui-api/apps

Available Version

43.0

HTTP Method

GET

Example

As an example, let’s say that the user has access to three apps: Service, Marketing, and Bolt Solutions. To get metadata for all the apps, make this request:

GET /services/data/v68.0/ui-api/apps?formFactor=Large

The request returns metadata for the apps and their associated navigation tabs.

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d38824e112">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d38824e115">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d38824e118">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d38824e121">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d38824e124">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d38824e112" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d38824e115" data-title="Type">String</td>

                  <td class="entry" headers="d38824e118" data-title="Description">The form factor for each app that the user has
                    access to.<a name="form_factor_values_ul"><!-- --></a>
                    <ul class="ul bulletList" id="form_factor_values_ul">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—App supports the
                        desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—App supports the
                        tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—App supports the phone
                        display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d38824e121" data-title="Required or Optional">Required</td>

                  <td class="entry" headers="d38824e124" data-title="Available Version">43.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d38824e112" data-title="Parameter Name"><samp class="codeph nolang">userCustomizations</samp></td>

                  <td class="entry" headers="d38824e115" data-title="Type">Boolean</td>

                  <td class="entry" headers="d38824e118" data-title="Description">If <samp class="codeph nolang">true</samp>,
                    gets custom and standard navigation tabs. If false, gets only standard
                    navigation tabs.</td>

                  <td class="entry" headers="d38824e121" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d38824e124" data-title="Available Version">43.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[Apps](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_apps.htm#ui_api_responses_apps "A list of apps that the current user has access to.")

#### See Also

- [App](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_app.htm "The metadata for a single app.")
- [Apps](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_apps.htm "A list of apps that the current user has access to.")
- [Manage Apps](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_features_apps.htm "An app is a collection of items that work together to serve a particular function. Salesforce apps come in two flavors: Classic apps and Lightning apps. Classic apps are created and managed in Salesforce Classic. Lightning apps are created and managed in Lightning Experience. Admins customize both types of apps to match the way users work.")